<?php

namespace App\Filters;

use CodeIgniter\HTTP\RequestInterface;
use CodeIgniter\HTTP\ResponseInterface;
use CodeIgniter\Filters\FilterInterface;

class BackendSignInFilter implements FilterInterface
{
    public function before( RequestInterface $request, $arguments = null ) {
        if( false == session()->get( 'backend_session' ) ) {
            return redirect()->route( 'authentication/sign-in' );
        }
    }

    public function after( RequestInterface $request, ResponseInterface $response, $arguments = null ) {
        // Do something here
    }
}